package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;
import java.util.Date;

@SuppressWarnings("rawtypes")
public class RelatorioDepositoBean implements Comparable {
	private String nombpuntoventa;
	private String nombempresa;
	private BigDecimal saldo;
	private BigDecimal vrdeposito;
	private BigDecimal vrfechamento;
	private BigDecimal vrpendente;
	private Date dtmotivo;
	private String numdeposito;
	private String numpuntoventa;
	private String codigoInstFinanceira;
	private String nomeInstFinanceira;
	private Long fechamentocntcorrenteId;
	private Integer puntoventaId;
	private Integer empresaId;
	private Date dataDepositoFechamento;

	public String getCodigoInstFinanceira() {
		return codigoInstFinanceira;
	}

	public void setCodigoInstFinanceira(String codigoInstFinanceira) {
		this.codigoInstFinanceira = codigoInstFinanceira;
	}

	public String getNomeInstFinanceira() {
		return nomeInstFinanceira;
	}

	public void setNomeInstFinanceira(String nomeInstFinanceira) {
		this.nomeInstFinanceira = nomeInstFinanceira;
	}
	
	public String getNombpuntoventa() {
		return nombpuntoventa;
	}
	public void setNombpuntoventa(String nombpuntoventa) {
		this.nombpuntoventa = nombpuntoventa;
	}
	public BigDecimal getSaldo() {
		return saldo;
	}
	public void setSaldo(BigDecimal saldo) {
		this.saldo = saldo;
	}
	public Date getDtmotivo() {
		return dtmotivo;
	}
	public void setDtmotivo(Date dtmotivo) {
		this.dtmotivo = dtmotivo;
	}
	public String getNombempresa() {
		return nombempresa;
	}
	public void setNombempresa(String nombempresa) {
		this.nombempresa = nombempresa;
	}
	public BigDecimal getVrdeposito() {
		return vrdeposito != null ? vrdeposito : BigDecimal.ZERO;
	}
	public void setVrdeposito(BigDecimal vrdeposito) {
		this.vrdeposito = vrdeposito;
	}
	public BigDecimal getVrfechamento() {
		return vrfechamento != null ? vrfechamento : BigDecimal.ZERO;
	}
	public void setVrfechamento(BigDecimal vrfechamento) {
		this.vrfechamento = vrfechamento;
	}
	public String getNumdeposito() {
		return numdeposito;
	}
	public void setNumdeposito(String numdeposito) {
		this.numdeposito = numdeposito;
	}
	public String getNumpuntoventa() {
		return numpuntoventa;
	}
	public void setNumpuntoventa(String numpuntoventa) {
		this.numpuntoventa = numpuntoventa;
	}
	
	public Long getFechamentocntcorrenteId() {
		return fechamentocntcorrenteId;
	}
	
	public void setFechamentocntcorrenteId(Long fechamentocntcorrenteId) {
		this.fechamentocntcorrenteId = fechamentocntcorrenteId;
	}
	
	@Override
	public int compareTo(Object o) {
		if(o == null) {
			return 0;
		}
		
		RelatorioDepositoBean rdb = (RelatorioDepositoBean) o;
		
		if (this.nombempresa.compareTo(rdb.getNombempresa()) != 0) {
			return this.nombempresa.compareTo(rdb.getNombempresa());

		} else if (this.nombpuntoventa.compareTo(rdb.getNombpuntoventa()) != 0) {
			return this.nombpuntoventa.compareTo(rdb.getNombpuntoventa());

		} else if (this.dtmotivo.compareTo(rdb.getDtmotivo()) != 0) {
			return this.dtmotivo.compareTo(rdb.getDtmotivo());

		} 
		
		return 0;
	}

	public BigDecimal getVrpendente() {
		return vrpendente != null ? vrpendente : BigDecimal.ZERO;
	}

	public void setVrpendente(BigDecimal vrpendente) {
		this.vrpendente = vrpendente;
	}

	public Integer getPuntoventaId() {
		return puntoventaId;
	}

	public void setPuntoventaId(Integer puntoventaId) {
		this.puntoventaId = puntoventaId;
	}

	public Integer getEmpresaId() {
		return empresaId;
	}

	public void setEmpresaId(Integer empresaId) {
		this.empresaId = empresaId;
	}

	public Date getDataDepositoFechamento() {
		return dataDepositoFechamento;
	}

	public void setDataDepositoFechamento(Date dataDepositoFechamento) {
		this.dataDepositoFechamento = dataDepositoFechamento;
	}
	
}
